window._site.forumUser = "";
$(document).ready( function () {
	window._site.comments( $('div.content div.comments'), [{"id":"2024","username":"F12Magic","comment":"<p>DataTables initialization: Use the <code>customize<\/code> option to add a green background and thin border to the first row (e.g. column headers). This is a built in style. See the list above for other styles.<\/p>\n\n<pre><code class=\"multiline language-js\">$('#myTable').DataTable( {\n    buttons: [\n        {\n            extend: 'excelHtml5',\n            text: 'Save as Excel',\n            customize: function( xlsx ) {\n                var sheet = xlsx.xl.worksheets['sheet1.xml'];\n                $('row:first c', sheet).attr( 's', '42' );\n            }\n        }\n    ]\n} );\n<\/code><\/pre>\n","created":"17:32, Wed 20th Jul 2016","parent":null,"version":"1.10.12","children":[]},{"id":"2025","username":"F12Magic","comment":"<p>DataTables initialization: Use the <code>customize<\/code> option to add AUTO FILTERS to the column headers. Required is the function createCellPos (n) ,copied from buttons.html5.js, which you need to insert in your own script. We can't call it directly, because it's a private function in that plugin script.<\/p>\n\n<pre><code class=\"multiline language-js\">$('#myTable').DataTable( {\n    buttons: [\n        {\n            extend: 'excelHtml5',\n            text: 'Save as Excel',\n            customize: function( xlsx ) {\n                var sheet = xlsx.xl.worksheets['sheet1.xml'];\n                var lastCol = sheet.getElementsByTagName('col').length - 1;\n                var colRange = createCellPos( lastCol ) + '1';\n                \/\/Has to be done this way to avoid creation of unwanted namespace atributes.\n                var afSerializer = new XMLSerializer();\n                var xmlString = afSerializer.serializeToString(sheet);\n                var parser = new DOMParser();\n                var xmlDoc = parser.parseFromString(xmlString,'text\/xml');\n                var xlsxFilter = xmlDoc.createElementNS('http:\/\/schemas.openxmlformats.org\/spreadsheetml\/2006\/main','autoFilter');\n                var filterAttr = xmlDoc.createAttribute('ref');\n                filterAttr.value = 'A1:' + colRange;\n                xlsxFilter.setAttributeNode(filterAttr);\n                sheet.getElementsByTagName('worksheet')[0].appendChild(xlsxFilter);\n            }\n        }\n    ]\n} );\n\nfunction createCellPos( n ){\n    var ordA = 'A'.charCodeAt(0);\n    var ordZ = 'Z'.charCodeAt(0);\n    var len = ordZ - ordA + 1;\n    var s = \"\";\n\n    while( n &gt;= 0 ) {\n        s = String.fromCharCode(n % len + ordA) + s;\n        n = Math.floor(n \/ len) - 1;\n    }\n\n    return s;\n}\n<\/code><\/pre>\n","created":"17:32, Wed 20th Jul 2016","parent":null,"version":"1.10.12","children":[]},{"id":"5482","username":"Mithsew","comment":"<p>[Include Fixed Header] My previous solution works on LibreOffice and GoogleSheets. This new version also work in excel:<\/p>\n\n<pre><code class=\"multiline language-js\">customize: function (xlsx) {\n  var sheet = xlsx.xl.worksheets[\"sheet1.xml\"];\n\n  var freezePanes =\n    '&lt;sheetViews&gt;&lt;sheetView tabSelected=\"1\"          workbookViewId=\"0\"&gt;&lt;pane xSplit=\"1\" ySplit=\"1\" topLeftCell=\"B2\"  activePane=\"bottomRight\" state=\"frozen\"\/&gt;&lt;\/sheetView&gt;&lt;\/sheetViews&gt;';\n  var current = sheet.children[0].innerHTML;\n  current = freezePanes + current;\n  sheet.children[0].innerHTML = current;\n}\n<\/code><\/pre>\n","created":"16:08, Mon 31st Oct 2022","parent":null,"version":"1.12.1","children":[]}] );
} );window._site.page = "reference\/button\/excelHtml5";

$(document).ready( function () {
	window._site.dynamicLoaded();
} );

window._site.csrfToken = '107b7cf57d79843f02071dfcc5a2112ae9cb403db51ea712';


function dtAds() {
	var loaded = false;
	var headerAd = true;

	if (window.ethicalads) {
		ethicalads.wait.then(function (placements) {
			if (headerAd) {
				$('div.fw-header').addClass('ad');
			}

			if (! placements.length) {
				$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
			}
		});
	}
	else {
		$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
	}

	var run = function () {
		if (! loaded && $(window).width() >= 860) {
			if (window.ethicalads) {
				ethicalads.load();
				loaded = true;
			}
		}
	}

	if ($('div.page-nav').length && $('div.page-nav').is(':visible')) {
		$('div.nav-ad').children()
			.attr('id', 'ad-fixed-nav')
			.prependTo('div.page-nav');
		headerAd = false;
	}
	else if ($('div.fw-sidebar').length) {
		$('div.nav-ad').children()
			.attr('id', 'ad-forum-nav')
			.prependTo('div.fw-sidebar div.sidebar');
		headerAd = false;
		return; // disable
	}
	else {
		$('div.nav-ad').children()
			.attr('id', 'ad-header');
	}

	$(window).on('resize', function (){
		run();
	});

	// Will run immediately if already loaded
	$(document).ready(function() {
		run();
	});
}


